1. API reference
  2. Conversations

Get a conversation

GEThttps://howdybell.com/api/v1/conversations/{id}

Retrieves a specific conversation along with its last 100 messages. Messages are returned in chronological order, oldest first.

Parameters

  • idstringRequiredpath
  • location_idintegerRequiredquery

    The location to work in. Must belong to your workspace.

Responses

200

  • conversationobject
    • idinteger
    • contactobject, nullable
      • idinteger
      • namestring
      • phone_displaystring, nullable
      • emailstring, nullable
    • kindstring
    • channelobject, nullable
      • idinteger
      • namestring
    • statusstring
    • snoozed_untilstring, nullable
    • assigneeobject, nullable
      • idinteger
      • namestring
    • previewstring, nullable
    • last_message_atstring, nullable
    • last_inbound_atstring, nullable
    • unreadboolean
    • unread_countinteger
    • subjectstring, nullable
    • possible_matchobject, nullable
      • idinteger
      • namestring
  • messagesarray of string
RequestcURL
curl -X GET "https://howdybell.com/api/v1/conversations/123?location_id=1" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "conversation": {
    "id": 21,
    "contact": {
      "id": 17,
      "name": "Unknown caller",
      "phone_display": "(512) 555-1003",
      "email": null
    },
    "kind": "call",
    "channel": {
      "id": 7,
      "name": "Phone calls"
    },
    "status": "open",
    "snoozed_until": null,
    "assignee": null,
    "preview": "Outbound call to (512) 555-1003 by Alex",
    "last_message_at": "2026-10-05T03:15:36.000000Z",
    "last_inbound_at": "2026-09-29T00:18:20.000000Z",
    "unread": true,
    "unread_count": 1,
    "subject": null,
    "possible_match": null
  },
  "messages": [
    {
      "id": 60,
      "conversation_id": 21,
      "direction": "inbound",
      "kind": "system",
      "body": "Incoming call from (512) 555-1003 via Google Ads",
      "html": null,
      "subject": null,
      "from_address": "+15125551003",
      "to_address": "+15125550100",
      "status": "received",
      "error": null,
      "author": null,
      "sent_at": null,
      "delivered_at": null,
      "created_at": "2026-09-29T00:18:20.000000Z",
      "ai_generated": false,
      "attachments": []
    },
    {
      "id": 61,
      "conversation_id": 21,
      "direction": "outbound",
      "kind": "system",
      "body": "Outbound call to (512) 555-1003 by Alex",
      "html": null,
      "subject": null,
      "from_address": "+15125550100",
      "to_address": "+15125551003",
      "status": "sent",
      "error": null,
      "author": {
        "id": 1,
        "name": "Alex"
      },
      "sent_at": null,
      "delivered_at": null,
      "created_at": "2026-09-29T00:27:28.000000Z",
      "ai_generated": false,
      "attachments": []
    }
  ]
}
Get a conversation (GET /api/v1/conversations/{id}) | HowdyBell Developers